Skip to content
GET/{organizationId}/work/todo/projects/{projectId}

Get todo project

Gets one todo project with its name, color and description

Path Parameters

organizationIdstringrequired
projectIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/work/todo/projects/{projectId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/work/todo/projects/{projectId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

createdAtdate-time | nulloptional
updatedAtdate-time | nulloptional
removedAtdate-time | nulloptional
__ignoreTriggersstring | nulloptional

ObjectId as string

namestringrequired

minLength: 1

maxLength: 64

colorstringrequired

Options:

slategrayzincneutralstoneredorangeamberyellowlimegreenemeraldtealcyanskyblueindigovioletpurplefuchsiapinkrose
descriptionstringrequired

maxLength: 400

openCountintegerrequired

minimum: 0

maximum: 9007199254740991

closedCountintegerrequired

minimum: 0

maximum: 9007199254740991

archivedAtdate-time | nullrequired

Response

200
{
  "_id": "000000000000000000000001",
  "organization": "000000000000000000000001",
  "name": "string",
  "color": "slate",
  "description": "string",
  "openCount": 0,
  "closedCount": 0,
  "archivedAt": "2026-06-15T22:30:00Z",
  "archivedBy": {
    "name": "string",
    "type": "user",
    "userId": "string",
    "image": {
      "resource": "string"
    }
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}